-- some minor things I wish LÖVE provided

App = {}
App.screen = {}  -- cache for screen dimensions

function App.color(color)
  love.graphics.setColor(color.r, color.g, color.b, color.a)
end

-- love.keyboard.isDown doesn't work on Android, so emulate it using
-- keypressed and keyreleased events
Keys_down = {}
love.handlers.keypressed = function(key, scancode, isrepeat)
                             Keys_down[key] = true
                             return love.keypressed(key, scancode, isrepeat)
                           end
love.handlers.keyreleased = function(key, scancode)
                              Keys_down[key] = nil
                              return love.keyreleased(key, scancode)
                            end
